# Uses of Enum Class
org.eclipse.e4.ui.model.application.ui.SideValue

Packages that use SideValue
Package
Description
org.eclipse.e4.ui.model.application.ui
Application programming interfaces describing the Eclipse 4 state and container model elements.
org.eclipse.e4.ui.model.application.ui.impl
org.eclipse.e4.ui.workbench.modeling
Application programming interfaces describing the Eclipse 4 model services.

## Uses of SideValue in org.eclipse.e4.ui.model.application.ui

Fields in org.eclipse.e4.ui.model.application.ui with type parameters of type SideValue
Modifier and Type
Field
Description
`static final List<SideValue>`
SideValue.`VALUES`
A public read-only list of all the 'Side Value' enumerators.
Methods in org.eclipse.e4.ui.model.application.ui that return SideValue
Modifier and Type
Method
Description
`static SideValue`
SideValue.`get(int value)`
Returns the 'Side Value' literal with the specified integer value.
`static SideValue`
SideValue.`get(String literal)`
Returns the 'Side Value' literal with the specified literal value.
`static SideValue`
SideValue.`getByName(String name)`
Returns the 'Side Value' literal with the specified name.
`SideValue`
MGenericTrimContainer.`getSide()`
Returns the value of the 'Side' attribute.
`static SideValue`
SideValue.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SideValue[]`
SideValue.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.e4.ui.model.application.ui with parameters of type SideValue
Modifier and Type
Method
Description
`void`
MGenericTrimContainer.`setSide(SideValue value)`
Sets the value of the '`Side`' attribute.

## Uses of SideValue in org.eclipse.e4.ui.model.application.ui.impl

Fields in org.eclipse.e4.ui.model.application.ui.impl declared as SideValue
Modifier and Type
Field
Description
`protected SideValue`
GenericTrimContainerImpl.`side`
The cached value of the '`Side`' attribute.
`protected static final SideValue`
GenericTrimContainerImpl.`SIDE_EDEFAULT`
The default value of the '`Side`' attribute.
Methods in org.eclipse.e4.ui.model.application.ui.impl that return SideValue
Modifier and Type
Method
Description
`SideValue`
UiFactoryImpl.`createSideValueFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`SideValue`
GenericTrimContainerImpl.`getSide()`
Methods in org.eclipse.e4.ui.model.application.ui.impl with parameters of type SideValue
Modifier and Type
Method
Description
`void`
GenericTrimContainerImpl.`setSide(SideValue newSide)`

## Uses of SideValue in org.eclipse.e4.ui.workbench.modeling

Methods in org.eclipse.e4.ui.workbench.modeling with parameters of type SideValue
Modifier and Type
Method
Description
`MTrimBar`
EModelService.`getTrim(MTrimmedWindow window, SideValue sv)`
Returns the window's MTrimBar for the specified side.